:root {
  --c-action-primary: #2e44ff;
  --c-action-primary-accent: #e9e5ff;
  --c-action-secondary: #e5e5e5;
  --c-text-primary: #0d0f21;
  --c-text-secondary: #6a6b76;
  --c-background-primary: #d0d1de;
}

.upload-container {
  width: 100%;
  margin-left: auto;
  margin-right: auto;
  background-color: #FFF;
  border-radius: 0.5rem;
  box-shadow: 0 5px 15px rgb(0 0 0 / 20%);
}

.upload-container-header {
  display: flex;
  align-items: flex-start;
  justify-content: space-between;
  padding: 1.5rem 1.5rem 1rem;
}

.logo-circle {
  width: 3.5rem;
  height: 3.5rem;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
  background-color: var(--c-action-primary-accent);
}
.logo-circle svg {
  max-width: 1.5rem;
}

.btn-close {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 2.25rem;
  height: 2.25rem;
  border-radius: 0.25rem;
  border: none;
  background-color: transparent;
}
.btn-close:hover, .btn-close:focus {
  background-color: var(--c-action-primary-accent);
}

.upload-container-body {
  padding: 1rem 1.5rem;
}

.upload-container-title {
  font-weight: 700;
}

.upload-container-description {
  color: var(--c-text-secondary);
}

.upload-area {
  margin-top: 1.25rem;
  border: none;
  background-image: url("data:image/svg+xml,%3csvg width='100%25' height='100%25' xmlns='http://www.w3.org/2000/svg'%3e%3crect width='100%25' height='100%25' fill='none' stroke='%23ccc' stroke-width='3' stroke-dasharray='6%2c 14' stroke-dashoffset='0' stroke-linecap='square'/%3e%3c/svg%3e");
  background-color: transparent;
  padding: 3rem;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
}
.upload-area:hover, .upload-area:focus {
  background-image: url("data:image/svg+xml,%3csvg width='100%25' height='100%25' xmlns='http://www.w3.org/2000/svg'%3e%3crect width='100%25' height='100%25' fill='none' stroke='%232e44ff' stroke-width='3' stroke-dasharray='6%2c 14' stroke-dashoffset='0' stroke-linecap='square'/%3e%3c/svg%3e");
}

.upload-area-focus {
  background-image: url("data:image/svg+xml,%3csvg width='100%25' height='100%25' xmlns='http://www.w3.org/2000/svg'%3e%3crect width='100%25' height='100%25' fill='none' stroke='%232e44ff' stroke-width='3' stroke-dasharray='6%2c 14' stroke-dashoffset='0' stroke-linecap='square'/%3e%3c/svg%3e");
}

.upload-area-icon {
  display: block;
  width: 2.25rem;
  height: 2.25rem;
}
.upload-area-icon svg {
  max-height: 100%;
  max-width: 100%;
}

.upload-area-title {
  margin-top: 1rem;
  display: block;
  font-weight: 700;
  color: var(--c-text-primary);
}

.upload-area-description {
  display: block;
  color: var(--c-text-secondary);
}
.upload-area-description strong {
  color: var(--c-action-primary);
  font-weight: 700;
}

.upload-container-footer {
  padding: 1rem 1.5rem 1.5rem;
  display: flex;
  justify-content: flex-end;
}
.upload-container-footer [class*=btn-] {
  margin-left: 0.75rem;
}

.btn-secondary, .btn-primary {
  padding: 0.5rem 1rem;
  font-weight: 500;
  border: 2px solid var(--c-action-secondary);
  border-radius: 0.25rem;
  background-color: transparent;
}

.btn-primary {
  color: #FFF;
  background-color: var(--c-action-primary);
  border-color: var(--c-action-primary);
}

.slidecontainer {
  width: 100%;
}

.slider {
  -webkit-appearance: none;
  width: 100%;
  height: 10px;
  border-radius: 3px;
  background: #d3d3d3;
  outline: none;
  opacity: 0.7;
  -webkit-transition: .2s;
  transition: opacity .2s;
}

.slider:hover {
  opacity: 1;
}

.slider::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;
  width: 25px;
  height: 25px;
  border-radius: 50%;
  background: #3e68ff;
  cursor: pointer;
}

.slider::-moz-range-thumb {
  width: 25px;
  height: 25px;
  border-radius: 50%;
  background: #04AA6D;
  cursor: pointer;
}

#loading {
  display: none;
  margin: 0 auto;
  width: 50px;
  height: 50px;
  border: 3px solid #39D75F;
  border-radius: 50%;
  border-top-color: #fff;
  animation: spin 1s ease-in-out infinite;
  -webkit-animation: spin 1s ease-in-out infinite;
}

@keyframes spin {
  to { -webkit-transform: rotate(360deg); }
}
@-webkit-keyframes spin {
  to { -webkit-transform: rotate(360deg); }
}